nstaller/pull/169,

https://github.com/theforeman/foreman-i
Description

Kafo supports migration scripts for config and answer files when using scenarios, so since foreman-installer was migrated to these in 

#10369, the project should have a directory for them and should install them.

https://github.com/theforeman/kafo#updating-scenarios has more info.

Migrations should be created when adding classes (plugins) and changing some important default values.

Related issues:

Related to Installer - Feature #10369: As a developer, I want add support for... Closed 05/05/2015

Associated revisions

Revision 7c62b96f - 04/06/2016 12:44 PM - Dominic Cleal

fixes #14475 - add and install config file migrations

To keep the migration files and applied file meeting packaging standards

they're symlinked into place, using this layout:

/etc/foreman-installer/scenarios.d/foreman.migrations ->

 
/usr/share/foreman-installer/config/foreman.migrations

 
/etc/foreman-installer/scenarios.d/foreman.migrations/.applied ->

 
/etc/foreman-installer/scenarios.d/foreman-migrations-applied

 Includes migrations for current 1.10-stable to develop changes.

Revision 930ff29d - 04/07/2016 06:53 AM - Dominic Cleal

refs #14475 - change module mapping keys to symbols

Module names in the config mapping section should be symbols, so the

new migrations caused extra sections to be added. Recombine them in

another migration.

History

#1 - 04/05/2016 07:29 AM - Dominic Cleal

- Related to Feature #10369: As a developer, I want add support for installer extensions (plugins) that support scenarios added

#2 - 04/05/2016 09:44 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/169 added
https://projects.theforeman.org/issues/10369
https://github.com/theforeman/kafo#updating-scenarios


#3 - 04/06/2016 01:01 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7c62b96f89d0a4b4cfce8cedc6efeeac7c6b4465.

#4 - 04/07/2016 06:55 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/170 added

#5 - 04/07/2016 09:14 AM - Dominic Cleal

- translation missing: en.field_release set to 136
